<?php
/*
Template Name: Archives Page
*/
?>


<?php get_header() ?>
	
	<div id="container">
		<div id="content">
			<div id="artikel">
				<?php the_post() ?>
					<div class="entry-content">
					<h1 class="entry-title"><?php the_title(); ?></h1>
					
					
					<div class="archive2column">
						<h3>The latest 15 posts</h3>
						<ul>
							<?php add_filter('the_title','get_short_title',7);
wp_get_archives('type=postbypost&limit=15&format=html');
remove_filter('the_title','get_short_title',7); ?>
						</ul>
					</div>
					
					<div class="archive2column">
						<h3>Highly discussed...</h3>
						<ul>
							<?php $result = $wpdb->get_results("SELECT comment_count,ID,post_title FROM $wpdb->posts ORDER BY comment_count DESC LIMIT 0 , 10");
  							 foreach ($result as $post) {
  							 setup_postdata($post);
  							 $postid = $post->ID;
  							 $title = $post->post_title;
  							 $neuer_title = substr(trim($post->post_title), 0, 47) . '...';
   							$commentcount = $post->comment_count;
  							 if ($commentcount != 0) {
     							 if (strlen($post->post_title) > 47) { ?>
       							  <li><a href="<?php echo get_permalink($postid); ?>" title="<?php echo $title ?>"><?php echo $neuer_title ?></a><br />(<?php echo $commentcount ?> reactions)</li>
      							<?php } else { ?>
        						 <li><a href="<?php echo get_permalink($postid); ?>" title="<?php echo $title ?>"><?php echo $title ?></a><br />(<?php echo $commentcount ?> reactions)</li>
							<?php } } } ?>
						</ul>
					</div>
						
					
					<div class="cleararchive"></div>

					<div class="archive3column">
						<h3>By category</h3>
						<ul>
							<?php wp_list_categories('title_li=&sort_column=name&show_count=1&show_last_updated=1&use_desc_for_title=1') ?> 
						</ul>
					</div>
					
					<div class="archive3column">
						<h3>By year</h3>
						<ul>
							<?php wp_get_archives('type=yearly&show_post_count=1') ?>
						</ul>
					</div>
					
					<div class="archive3column">
						<h3>By month</h3>
						<ul>
							<?php wp_get_archives('type=monthly&show_post_count=1&limit=8') ?>
						</ul>
					</div>
					
					
					
			
				</div><!-- .post -->
					
				

					
			</div><!-- #artikel -->
		<?php get_sidebar() ?>
	</div><!-- #content -->

</div><!-- #container -->
<?php get_footer() ?>